## org.eclipse.emf.query.conditions.numbers
Class NumberCondition.DoubleValue

    java.lang.Object
      org.eclipse.emf.query.conditions.Condition
          org.eclipse.emf.query.conditions.DataTypeCondition<N>
              org.eclipse.emf.query.conditions.numbers.NumberCondition<Double>
                  org.eclipse.emf.query.conditions.numbers.NumberCondition.DoubleValue

Enclosing class:
  NumberCondition<N extends Number & Comparable<? super N>>

    public static class NumberCondition.DoubleValue

extends NumberCondition<Double>

A subclass of `NumberCondition` to be used to test for double values Clients can either use the default implementation supplied or have their own.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.query.conditions.numbers.NumberCondition
`NumberCondition.ByteValue, NumberCondition.DoubleValue, NumberCondition.FloatValue, NumberCondition.IntegerValue, NumberCondition.LongValue, NumberCondition.RelationalOperator, NumberCondition.ShortValue`

Field Summary

Fields inherited from class org.eclipse.emf.query.conditions.numbers.NumberCondition
`BETWEEN, EQUAL_TO, GREATER_THAN, GREATER_THAN_OR_EQUAL_TO, LESS_THAN, LESS_THAN_OR_EQUAL_TO, lowerBound, lowerInclusive, NOT_EQUAL_TO, operator, upperBound, upperInclusive`

Fields inherited from class org.eclipse.emf.query.conditions.DataTypeCondition
`adapter, value`

Fields inherited from class org.eclipse.emf.query.conditions.Condition
`FALSE, TRUE`

Constructor Summary
`NumberCondition.DoubleValue(Double number)` A simple constructor, it takes only one `Double` argument which means in its evaluation the values passed to it must be equal to this `Double` value passed.
`NumberCondition.DoubleValue(Double lowerBound, Double upperBound)` A constructor, it takes two `Double` arguments, a lowerBound and an upperBound, which means in its evaluation the values passed to it must be equal to any these two `Double` values passed or fall in between.
`NumberCondition.DoubleValue(Double lowerBound, Double upperBound, NumberAdapter.DoubleAdapter adapter)` A constructor, besides the `NumberAdapter.DoubleAdapter`, it also takes two `Double` arguments, a lowerBound and an upperBound, which means in its evaluation the values passed to it must be equal to any these two `Double` values passed or fall in between.
`NumberCondition.DoubleValue(Double number, NumberAdapter.DoubleAdapter adapter)` A simple constructor, it takes only one `Double` argument which means in its evaluation the values passed to it must be equal to this `Double` value passed.

Method Summary
`boolean` `isSatisfied(Object object)` This operation is the evaluation operation of this `Condition` in regard to the argument Object.

Methods inherited from class org.eclipse.emf.query.conditions.numbers.NumberCondition
`between, between, equals, greaterThan, greaterThanOrEquals, isSatisfied, isSatisfied, isSatisfied, isSatisfied, isSatisfied, isSatisfied, isSatisfied, isSatisfied, isSatisfied, isSatisfied, isSatisfied, isSatisfied, lessThan, lessThanOrEquals, notEquals`

Methods inherited from class org.eclipse.emf.query.conditions.Condition
`AND, EQUIVALENT, IMPLIES, OR, XOR`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NumberCondition.DoubleValue

    public NumberCondition.DoubleValue(Double number)

  A simple constructor, it takes only one `Double` argument which means in its evaluation the values passed to it must be equal to this `Double` value passed. It defaults to using the NumberAdapter.DoubleAdapter.DEFAULT for adapting the objects being evaluated to a double value.

  Parameters:
    `number` - the `Double` object to use for equality testing

### NumberCondition.DoubleValue

    public NumberCondition.DoubleValue(Double number,
                                       NumberAdapter.DoubleAdapter adapter)

  A simple constructor, it takes only one `Double` argument which means in its evaluation the values passed to it must be equal to this `Double` value passed.

  Parameters:
    `number` - the `Double` object to use for equality testing
    `adapter` - the `NumberAdapter.DoubleAdapter` to use to extract double values from objects being evaluated.

### NumberCondition.DoubleValue

    public NumberCondition.DoubleValue(Double lowerBound,
                                       Double upperBound)

  A constructor, it takes two `Double` arguments, a lowerBound and an upperBound, which means in its evaluation the values passed to it must be equal to any these two `Double` values passed or fall in between. It defaults to using the NumberAdapter.DoubleAdapter.DEFAULT for adapting the objects being evaluated to a double value.

  Parameters:
    `lowerBound` - the `Double` value representing the lower-bound in range testing
    `upperBound` - the `Double` value representing the upper-bound in range testing

### NumberCondition.DoubleValue

    public NumberCondition.DoubleValue(Double lowerBound,
                                       Double upperBound,
                                       NumberAdapter.DoubleAdapter adapter)

  A constructor, besides the `NumberAdapter.DoubleAdapter`, it also takes two `Double` arguments, a lowerBound and an upperBound, which means in its evaluation the values passed to it must be equal to any these two `Double` values passed or fall in between.

  Parameters:
    `lowerBound` - the `Double` value representing the lower-bound in range testing
    `upperBound` - the `Double` value representing the upper-bound in range testing
    `adapter` - the `NumberAdapter.DoubleAdapter` to use to extract double values from objects being evaluated.

Method Detail

### isSatisfied

    public boolean isSatisfied(Object object)

  Description copied from class: `Condition`
  This operation is the evaluation operation of this `Condition` in regard to the argument Object. In other words, the operation answers whether the argument Object satisfied this `Condition` or not.

  Overrides:
    `isSatisfied` in class `NumberCondition<Double>`
  Parameters:
    `object` - an Object to check if it satisfies this `Condition`
  Returns:
    `true` if the argument Object satisfies this `Condition`,`false` otherwise.

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.